package bookExamples.ch26Graphics.draw2d;

import java.awt.geom.Point2D;

public class ElipseFcn implements Fcn1 {
    private double width = 0;
    private double height = 0;
    private double xc = 100;
    private double yc = 100;


    public ElipseFcn(Point2D pc, double width, double height) {
        this.width = width;
        this.height = height;
        this.xc = pc.getX();
        this.yc = pc.getY();
    }

    public Point2D getPoint(double t) {
        t = 2 * Math.PI * t;
        return new Point2D.Double((width * Math.cos(t) + xc), (height * Math.sin(t) + yc));
    }
}
